Bug 29328

Summary: ecma/Date/15.9.5.10-1.js fails every night at midnight
Product: WebKit Reporter: Eric Seidel (no email) <eric>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dbates, kent.hansen, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 33297    
Attachments:
Description Flags
Patch eric: review-

Description Eric Seidel (no email) 2009-09-17 00:45:51 PDT
ecma/Date/15.9.5.10-1.js fails every night at midnight

Or at least so I'm told.  Example:
http://build.webkit.org/builders/Leopard%20Intel%20Release%20%28Tests%29/builds/5062

Having this test be flakey will cause trouble for things which depend on the bots being green (like the commit-queue).

bug 4930 and bug 7998 also mention this test as being date sensitive.
Comment 1 Adam Barth 2009-09-17 00:47:25 PDT
I, for one, find this really annoying because I'm usually checking in code at midnight.
Comment 3 Eric Seidel (no email) 2010-01-11 23:38:27 PST
Bug 28041 is another test which fails at midnight. :(
Comment 4 Adam Barth 2010-01-12 00:00:49 PST
Created attachment 46343 [details]
Patch
Comment 5 Eric Seidel (no email) 2010-01-12 00:02:56 PST
Comment on attachment 46343 [details]
Patch

It seems this may need a comment.  Kent was thinking about syncing us with mozilla's tip of tree.
Comment 6 Eric Seidel (no email) 2010-01-12 00:04:28 PST
Comment on attachment 46343 [details]
Patch

Wrong bug.
Comment 7 Csaba Osztrogonác 2010-01-27 07:58:14 PST
Patch committed http://trac.webkit.org/changeset/53118 by abarth 2 weeks ago, so it was resolved/fixed.